curl -X GET "https://your-collabase.ch/api/v1/meetings?view=upcoming" \
-H "Authorization: Bearer cb_xYz123ABCD..."
{
"data": {
"items": [
{
"id": "cm2meet0001abcd",
"title": "Release planning",
"startsAt": "2026-10-15T08:00:00.000Z",
"durationMinutes": 45,
"status": "PLANNED",
"visibility": "STANDARD",
"location": "Room Aare",
"videoUrl": null,
"space": { "id": "cm1space001", "name": "Product", "icon": "📦", "slug": "product" },
"project": null,
"role": "ORGANIZER"
}
],
"nextCursor": null,
"timezone": "Europe/Zurich"
}
}
{
"error": { "code": "VALIDATION_ERROR", "message": "Invalid option: expected one of \"today\"|\"upcoming\"|\"past\"|\"series\"" }
}
List meetings
Page through the meetings your token owner is invited to: today, upcoming, past or series occurrences.
GET
/
api
/
v1
/
meetings
curl -X GET "https://your-collabase.ch/api/v1/meetings?view=upcoming" \
-H "Authorization: Bearer cb_xYz123ABCD..."
{
"data": {
"items": [
{
"id": "cm2meet0001abcd",
"title": "Release planning",
"startsAt": "2026-10-15T08:00:00.000Z",
"durationMinutes": 45,
"status": "PLANNED",
"visibility": "STANDARD",
"location": "Room Aare",
"videoUrl": null,
"space": { "id": "cm1space001", "name": "Product", "icon": "📦", "slug": "product" },
"project": null,
"role": "ORGANIZER"
}
],
"nextCursor": null,
"timezone": "Europe/Zurich"
}
}
{
"error": { "code": "VALIDATION_ERROR", "message": "Invalid option: expected one of \"today\"|\"upcoming\"|\"past\"|\"series\"" }
}
Returns the meetings the token owner is invited to, not the ones they could merely read through a
Space. Each call returns one page of up to 50 meetings.
Scope
meetings:read.Query parameters
today (the current calendar day in the token owner’s time zone), upcoming, past (newest
first) or series (every occurrence of a series, past and future, in calendar order).Response
Show properties
Show properties
Meetings with
id, title, startsAt, durationMinutes, status, visibility,
location, videoUrl, space (id, name, icon, slug), project (id, name,
icon) and the token owner’s role.curl -X GET "https://your-collabase.ch/api/v1/meetings?view=upcoming" \
-H "Authorization: Bearer cb_xYz123ABCD..."
{
"data": {
"items": [
{
"id": "cm2meet0001abcd",
"title": "Release planning",
"startsAt": "2026-10-15T08:00:00.000Z",
"durationMinutes": 45,
"status": "PLANNED",
"visibility": "STANDARD",
"location": "Room Aare",
"videoUrl": null,
"space": { "id": "cm1space001", "name": "Product", "icon": "📦", "slug": "product" },
"project": null,
"role": "ORGANIZER"
}
],
"nextCursor": null,
"timezone": "Europe/Zurich"
}
}
{
"error": { "code": "VALIDATION_ERROR", "message": "Invalid option: expected one of \"today\"|\"upcoming\"|\"past\"|\"series\"" }
}
Last modified on October 13, 2026